Subject: Re: [PATCH net-next 0/1] fix vlan transmit performance

From: Andrew Gallatin <[email-masked]>
Date: Fri, 07 Dec 2012 12:32:19 -0500

On 12/06/12 18:42, Ben Hutchings wrote:
> On Thu, 2012-12-06 at 15:54 -0500, Andrew Gallatin wrote:
<..>
>> The following patch (just copy dev->features to dev->vlan_features in
>> vlan_dev_init()) seems to be the simplest way to fix it. Perhaps this
>> is wrong, and there is a better way?
> [...]
> 
> It's wrong, because those features would then be recursively transferred
> to further stacked VLAN devices.
> 

The more I play with it & try various combinations, the more
I realize how tricky stacked vlans makes things,
so I think its best for me to just leave this alone..

Sorry for the noise.

Drew